<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven WebSphere 4.0 Plug-in Goals</title>
    <author email="kristen@multitask.com.au">Kristen Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>was40</name>
        <description>Default Goal - Obtains a list of available nodes
           <p><i>There are no arguments passed for this goal.</i></p>
        </description>
      </goal>
      <goal>
        <name>was40:app-start</name>
        <description>Starts an enterprise application
        <ul>
           <i>Required arguments to pass to this goal are:</i><br/>
           <li>
	      ${maven.was40.enterprise.app.name} - Name of the enterprise application to start<br/>
           </li>
        </ul>        
        </description>
      </goal>
      <goal>
        <name>was40:app-stop</name>
        <description>Stops an enterprise application
        <ul>
           <i>Required arguments to pass to this goal are:</i><br/>
           <li>
	      ${maven.was40.enterprise.app.name} - Name of the enterprise application to stop<br></br>
           </li>
        </ul>         
        </description>
      </goal>
      <goal>
        <name>was40:deploy-ear</name>
        <description>Deploys an enterprise application to a given server group <b>or</b> application server
        <ul>
           <i>Required arguments to pass to this goal are:</i><br/>
           <li>
	      ${maven.was40.appserver} - Name of the application server to deploy the enterprise application<br/>
	      <b>or</b><br />
	      ${maven.was40.serverGroup} - Name of the server group to deploy the enterprise application
           </li>
           <li>
	      ${maven.was40.node} - Name of the node to deploy to<br/>
           </li>   
           <li>
	      ${maven.was40.home} - Home directory of WebSphere application server<br/>
           </li>
           <li>
	      ${maven.was40.enterprise.app} - Name of the enterprise application to deploy<br/>
           </li>   
           <li>
	      ${maven.was40.enterprise.app.name} - Name you wish to give the application to deploy<br/>
           </li>             
        </ul>         
        </description>
      </goal>
      <goal>
        <name>was40:deploy-to-servergroup</name>
        <description>Deploys an application to the specified server group
        <ul> 
           <i>Required arguments to pass to this goal are:</i><br/>
           <li>
	      ${maven.was40.node} - Name of the node in which the server group resides<br />
           </li>
           <li>
	      ${maven.was40.enterprise.app} - Name of the enterprise application to deploy<br/>
           </li>  
           <li>
	      ${maven.was40.enterprise.app.name} - Name to give the enterprise application<br />
           </li> 
           <li>
	      ${maven.was40.serverGroup.name} - Name of the server group to deploy the enterprise application<br/>
           </li>           
        </ul>           
        </description>
      </goal>
      <goal>
        <name>was40:list-node</name>
        <description>Obtains a list of available nodes<br/>
           <i>There are no arguments passed to this goal.</i><br/>        
        </description>
      </goal>
      <goal>
        <name>was40:start</name>
        <description>
           Starts WebSphere
           <p><i>There are no arguments passed for this goal.</i></p>           
        </description>
      </goal>
      <goal>
        <name>was40:start-appserver</name>
        <description>Starts the specified Application Server
         <ul>
           <i>Required arguments to pass to this goal are:</i><br/>         
           <li>
	      ${maven.was40.node} - Name of the node in which the application server resides<br/>
           </li>          
           <li>
	      ${maven.was40.appserver} - Name of the application server to start<br/>
           </li>                        
         </ul>
        </description>
      </goal>
      <goal>
        <name>was40:start-servergroup</name>
        <description>Start a websphere server group
         <ul>
           <i>Required arguments to pass to this goal are:</i><br/>         
           <li>
	      ${maven.was40.serverGroup.name} - Name of the server group to start<br/>
           </li>                                  
         </ul> 
        </description>         
      </goal>
      <goal>
        <name>was40:stop</name>
        <description>Stops a websphere node<br/>
        <ul>
           <li>
	      ${maven.was40.node} - Name of the node to stop<br/>
	      i.e: <i><b>devserver_1</b></i>
           </li>
        </ul>
        </description>
      </goal>
      <goal>
        <name>was40:stop-appserver</name>
        <description>
         Stops the specified Application Server
         <ul>
           <i>Required arguments to pass to this goal are:</i><br/>         
           <li>
	      ${maven.was40.node} - Name of the node in which the application server resides<br/>
           </li>          
           <li>
	      ${maven.was40.appserver} - Name of the application server to stop<br/>
           </li>                        
         </ul>
        </description>
      </goal>
      <goal>
        <name>was40:stop-servergroup</name>
        <description>Stop a websphere server group
         <ul>
           <i>Required arguments to pass to this goal are:</i><br/>         
           <li>
	      ${maven.was40.serverGroup.name} - Name of the server group to stop<br/>
           </li>                                  
         </ul>         
        </description>
      </goal>
      <goal>
        <name>was40:undeploy-ear</name>
        <description>Remove an enterprise application<br/>
        <ul>
           <i>Required arguments to pass to this goal are:</i><br/>         
           <li>
              ${maven.was40.enterprise.app.name} - Name of the enterprise application to remove
           </li>
        </ul>
        </description>
      </goal>
    </goals>
  </body>
</document>